<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/diseases/WoundInfection2.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/db1/_wound_infection2_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WoundInfection2.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/db1/_wound_infection2_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d01/class_wound_infect_stage2_mdfr.html">WoundInfectStage2Mdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aaaddb6a23e8afda8a308e27be6150557">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aaaddb6a23e8afda8a308e27be6150557">AGENT_THRESHOLD_ACTIVATE</a> = 250;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aa7a275d82be45286c28aa9ef706d4949">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aa7a275d82be45286c28aa9ef706d4949">AGENT_THRESHOLD_DEACTIVATE</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#abbfbca87cd6ad2bf6db9c18219bb8c98">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#abbfbca87cd6ad2bf6db9c18219bb8c98">PAIN_EVENT_INTERVAL_MIN</a> = 6;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a8bacb0818057d3843337ea12b84b114e">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a8bacb0818057d3843337ea12b84b114e">PAIN_EVENT_INTERVAL_MAX</a> = 12;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4ce861dcdcee59e8b77034ed783e6470">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4ce861dcdcee59e8b77034ed783e6470">DAMAGE_PER_SEC</a> = 0.04;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">m_NextEvent</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">   13</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">m_Time</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a42cdcd9326f8c2b305a3a1323cab39e4">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a42cdcd9326f8c2b305a3a1323cab39e4">Init</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a>    = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_WOUND_INFECTION2;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a>                = <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>.MODIFIER_SYNC_WOUND_INFECT_2;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#adf3d3f8f6a66bdc25fbafc63815a7fa8">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#adf3d3f8f6a66bdc25fbafc63815a7fa8">GetDebugText</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> (<span class="stringliteral">&quot;Activate threshold: &quot;</span>+<a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aaaddb6a23e8afda8a308e27be6150557">AGENT_THRESHOLD_ACTIVATE</a> + <span class="stringliteral">&quot;| &quot;</span> +<span class="stringliteral">&quot;Deativate threshold: &quot;</span>+<a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aa7a275d82be45286c28aa9ef706d4949">AGENT_THRESHOLD_DEACTIVATE</a>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a457b814984364ee012bcf74ba2661dc7">   29</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a457b814984364ee012bcf74ba2661dc7">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span>(player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.WOUND_AGENT) &gt;= <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aaaddb6a23e8afda8a308e27be6150557">AGENT_THRESHOLD_ACTIVATE</a>) </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#ad65fbb725d1e8c6c8b714367c9b39741">   41</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#ad65fbb725d1e8c6c8b714367c9b39741">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        player.IncreaseDiseaseCount();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">m_NextEvent</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#abbfbca87cd6ad2bf6db9c18219bb8c98">PAIN_EVENT_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a8bacb0818057d3843337ea12b84b114e">PAIN_EVENT_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_class" href="../../d9/db3/class_symptom_base.html">SymptomBase</a> shivers = player.GetSymptomManager().QueueUpSecondarySymptomEx(SymptomIDs.SYMPTOM_HAND_SHIVER);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">if</span> ( shivers )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a31325a9f1aa966d33be94a5b1688b271">PARAM1_INT</a>.param1 = 3;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                shivers.<a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ac802518df66c1755a54b3d23eb2807ca">SetParam</a>(<a class="code hl_class" href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a>.<a class="code hl_variable" href="../../de/d30/class_cached_objects_params.html#a31325a9f1aa966d33be94a5b1688b271">PARAM1_INT</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#afb1ff76ed78910cc8cc8a2dd8b0cce1d">   55</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#afb1ff76ed78910cc8cc8a2dd8b0cce1d">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        player.DecreaseDiseaseCount();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        player.GetSymptomManager().RemoveSecondarySymptom(SymptomIDs.SYMPTOM_HAND_SHIVER);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aef87635227fabe5d86b7d12c8f979271">   61</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aef87635227fabe5d86b7d12c8f979271">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span>(player.GetSingleAgentCount(<a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.WOUND_AGENT) &lt;= <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#aa7a275d82be45286c28aa9ef706d4949">AGENT_THRESHOLD_DEACTIVATE</a>) </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../df/d01/class_wound_infect_stage2_mdfr.html#af983efe21c5e8cadcbf00a8edb519ce6">   73</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d01/class_wound_infect_stage2_mdfr.html#af983efe21c5e8cadcbf00a8edb519ce6">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">m_Time</a> += deltaT;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">m_Time</a> &gt;= <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">m_NextEvent</a> )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordflow">if</span>( player.IsAntibioticsActive() )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_PAIN_LIGHT);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                player.GetSymptomManager().QueueUpPrimarySymptom(SymptomIDs.SYMPTOM_PAIN_HEAVY);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                <span class="keywordtype">float</span> damage = <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">m_Time</a> * (<a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4ce861dcdcee59e8b77034ed783e6470">DAMAGE_PER_SEC</a> + player.GetHealthRegenSpeed());</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                player.AddHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>, -damage);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">m_Time</a> = 0;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">m_NextEvent</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>( <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#abbfbca87cd6ad2bf6db9c18219bb8c98">PAIN_EVENT_INTERVAL_MIN</a>, <a class="code hl_variable" href="../../df/d01/class_wound_infect_stage2_mdfr.html#a8bacb0818057d3843337ea12b84b114e">PAIN_EVENT_INTERVAL_MAX</a> );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa13e9ceb481752169c6aa44663e496d6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa13e9ceb481752169c6aa44663e496d6">m_SyncID</a></div><div class="ttdeci">eModifierSyncIDs m_SyncID</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00029">ModifierBase.c:29</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a5c1716899a303fbac8533337fbc6ceb0"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></div><div class="ttdeci">eModifierSyncIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">ModifiersManager.c:3</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ad7b192f22a83d324fbb2fc7fea14ad09"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_ACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">ModifiersManager.c:31</a></div></div>
<div class="ttc" id="aclass_cached_objects_params_html"><div class="ttname"><a href="../../de/d30/class_cached_objects_params.html">CachedObjectsParams</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d47/_utility_classes_8c_source.html#l00009">UtilityClasses.c:10</a></div></div>
<div class="ttc" id="aclass_cached_objects_params_html_a31325a9f1aa966d33be94a5b1688b271"><div class="ttname"><a href="../../de/d30/class_cached_objects_params.html#a31325a9f1aa966d33be94a5b1688b271">CachedObjectsParams::PARAM1_INT</a></div><div class="ttdeci">static ref Param1&lt; int &gt; PARAM1_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d47/_utility_classes_8c_source.html#l00011">UtilityClasses.c:11</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00001">StateBase.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ac802518df66c1755a54b3d23eb2807ca"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ac802518df66c1755a54b3d23eb2807ca">SymptomBase::SetParam</a></div><div class="ttdeci">void SetParam(Param p)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00105">StateBase.c:105</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html">WoundInfectStage2Mdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00001">WoundInfection2.c:2</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a42cdcd9326f8c2b305a3a1323cab39e4"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a42cdcd9326f8c2b305a3a1323cab39e4">WoundInfectStage2Mdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00015">WoundInfection2.c:15</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a457b814984364ee012bcf74ba2661dc7"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a457b814984364ee012bcf74ba2661dc7">WoundInfectStage2Mdfr::ActivateCondition</a></div><div class="ttdeci">override protected bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00029">WoundInfection2.c:29</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a4ce861dcdcee59e8b77034ed783e6470"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4ce861dcdcee59e8b77034ed783e6470">WoundInfectStage2Mdfr::DAMAGE_PER_SEC</a></div><div class="ttdeci">static const float DAMAGE_PER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00010">WoundInfection2.c:10</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a4fc126aad2e83c3ad7a842b44777a20c"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a4fc126aad2e83c3ad7a842b44777a20c">WoundInfectStage2Mdfr::m_NextEvent</a></div><div class="ttdeci">protected float m_NextEvent</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00012">WoundInfection2.c:12</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a5848c8c6a6c5a94c3c9af936a4df38a3"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a5848c8c6a6c5a94c3c9af936a4df38a3">WoundInfectStage2Mdfr::m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00013">WoundInfection2.c:13</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_a8bacb0818057d3843337ea12b84b114e"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#a8bacb0818057d3843337ea12b84b114e">WoundInfectStage2Mdfr::PAIN_EVENT_INTERVAL_MAX</a></div><div class="ttdeci">static const int PAIN_EVENT_INTERVAL_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00007">WoundInfection2.c:7</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_aa7a275d82be45286c28aa9ef706d4949"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#aa7a275d82be45286c28aa9ef706d4949">WoundInfectStage2Mdfr::AGENT_THRESHOLD_DEACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_DEACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00004">WoundInfection2.c:4</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_aaaddb6a23e8afda8a308e27be6150557"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#aaaddb6a23e8afda8a308e27be6150557">WoundInfectStage2Mdfr::AGENT_THRESHOLD_ACTIVATE</a></div><div class="ttdeci">static const int AGENT_THRESHOLD_ACTIVATE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00003">WoundInfection2.c:3</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_abbfbca87cd6ad2bf6db9c18219bb8c98"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#abbfbca87cd6ad2bf6db9c18219bb8c98">WoundInfectStage2Mdfr::PAIN_EVENT_INTERVAL_MIN</a></div><div class="ttdeci">static const int PAIN_EVENT_INTERVAL_MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00006">WoundInfection2.c:6</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_ad65fbb725d1e8c6c8b714367c9b39741"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#ad65fbb725d1e8c6c8b714367c9b39741">WoundInfectStage2Mdfr::OnActivate</a></div><div class="ttdeci">override protected void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00041">WoundInfection2.c:41</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_adf3d3f8f6a66bdc25fbafc63815a7fa8"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#adf3d3f8f6a66bdc25fbafc63815a7fa8">WoundInfectStage2Mdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00024">WoundInfection2.c:24</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_aef87635227fabe5d86b7d12c8f979271"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#aef87635227fabe5d86b7d12c8f979271">WoundInfectStage2Mdfr::DeactivateCondition</a></div><div class="ttdeci">override protected bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00061">WoundInfection2.c:61</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_af983efe21c5e8cadcbf00a8edb519ce6"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#af983efe21c5e8cadcbf00a8edb519ce6">WoundInfectStage2Mdfr::OnTick</a></div><div class="ttdeci">override protected void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00073">WoundInfection2.c:73</a></div></div>
<div class="ttc" id="aclass_wound_infect_stage2_mdfr_html_afb1ff76ed78910cc8cc8a2dd8b0cce1d"><div class="ttname"><a href="../../df/d01/class_wound_infect_stage2_mdfr.html#afb1ff76ed78910cc8cc8a2dd8b0cce1d">WoundInfectStage2Mdfr::OnDeactivate</a></div><div class="ttdeci">override protected void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db1/_wound_infection2_8c_source.html#l00055">WoundInfection2.c:55</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../dir_ca7d4b78184f31e916245373efccd52e.html">diseases</a></li><li class="navelem"><a class="el" href="../../dc/db1/_wound_infection2_8c.html">WoundInfection2.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
